Package weka.estimators

# Class PoissonEstimator

java.lang.Object
weka.estimators.Estimator
weka.estimators.PoissonEstimator

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `CapabilitiesHandler`, `CapabilitiesIgnorer`, `OptionHandler`, `RevisionHandler`, `IncrementalEstimator`

public class PoissonEstimator extends Estimator implements IncrementalEstimator
Simple probability estimator that places a single Poisson distribution over the observed values.

Version:
  $Revision: 8034 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PoissonEstimator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addValue(double data, double weight)`
  Add a new data value to the current estimator.
  `Capabilities`
  `getCapabilities()`
  Returns default capabilities of the classifier.
  `double`
  `getProbability(double data)`
  Get a probability estimate for a value
  `String`
  `getRevision()`
  Returns the revision string.
  `static void`
  `main(String[] argv)`
  Main method for testing this class.
  `String`
  `toString()`
  Display a representation of this estimator

  ### Methods inherited from class weka.estimators.Estimator

  `addValues, addValues, addValues, addValues, buildEstimator, buildEstimator, clone, debugTipText, doNotCheckCapabilitiesTipText, equals, forName, getDebug, getDoNotCheckCapabilities, getOptions, listOptions, makeCopies, makeCopy, setDebug, setDoNotCheckCapabilities, setOptions, testCapabilities`

  ### Methods inherited from class java.lang.Object

  `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### PoissonEstimator

    public PoissonEstimator()

- ## Method Details

  - ### addValue

    public void addValue(double data, double weight)
    Add a new data value to the current estimator.
    Specified by:
      `addValue` in interface `IncrementalEstimator`
    Overrides:
      `addValue` in class `Estimator`
    Parameters:
      `data` - the new data value
      `weight` - the weight assigned to the data value

  - ### getProbability

    public double getProbability(double data)
    Get a probability estimate for a value
    Specified by:
      `getProbability` in class `Estimator`
    Parameters:
      `data` - the value to estimate the probability of
    Returns:
      the estimated probability of the supplied value

  - ### toString

    public String toString()
    Display a representation of this estimator
    Overrides:
      `toString` in class `Object`

  - ### getCapabilities

    public Capabilities getCapabilities()
    Returns default capabilities of the classifier.
    Specified by:
      `getCapabilities` in interface `CapabilitiesHandler`
    Overrides:
      `getCapabilities` in class `Estimator`
    Returns:
      the capabilities of this classifier
    See Also:
      - `Capabilities`

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Overrides:
      `getRevision` in class `Estimator`
    Returns:
      the revision

  - ### main

    public static void main(String[] argv)
    Main method for testing this class.
    Parameters:
      `argv` - should contain a sequence of numeric values